## pnmdec pnmdec |

## Types and Values

struct | GstPnmdec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoDecoder
                        ╰── GstPnmdec

## Description

Decodes pnm images.

#### Example launch line

    1
    gst-launch-1.0 filesrc location=test.pnm ! pnmdec ! videoconvert ! autovideosink

The above pipeline reads a pnm file and renders it to the screen.

## Synopsis

### Element Information

plugin | pnm
author | Lutz Mueller <lutz@users.sourceforge.net>
class | Codec/Decoder/Image

### Element Pads

name | sink
direction | sink
presence | always
details | image/x-portable-bitmap
| image/x-portable-graymap
| image/x-portable-pixmap
| image/x-portable-anymap

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ RGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstPnmdec

    struct GstPnmdec;